// file: $USFS/class/image_eval/v1.0/imgev_prnt_0.cc
//

// isip include files
//
#include "image_eval.h"

#include <integral_constants.h>
#include "image_eval_constants.h"

// method: summary_cc
//
// arguments:
//  num_bins_a: (input) the number of bins
//  bins_midpts_a: (input) containing the midpoint of each bin
//  bins_freqs_a: (input) containing the frequency of each bin
//
// return:
//  logical_1 to indicate status
//
// This method prints out the histogram.
//
//
logical_1 Image_eval::print_histogram_cc(int_4 num_bins_a,
					 float_4* bins_midpts_a,
					 int_4* bins_freqs_a) {

  // print out the histogram info
  //
  fprintf(stdout, "\nhistogram:\n");
  fprintf(stdout, "----------\n");
  for (int_4 i=0; i<num_bins_a; i++) {
    fprintf (stdout, IMGEV_PRINT_FORMAT_A, i, bins_midpts_a[i],
	     bins_freqs_a[i]);
  }
   
  // exit gracefully
  //
  return ISIP_TRUE;
}



